const int buttonPin = D9;     // pushbutton connected to digital pin 9
const int ledPin =  D7;      // LED connected to digital pin 7
 
int buttonState = 0;         // variable for reading the pushbutton status
 
int ledDelay = 1000;         // variable for delay
 
void setup() {
  // initialize the LED pin as an output:
  pinMode(ledPin, OUTPUT);
  // initialize the pushbutton pin as an input:
  pinMode(buttonPin, INPUT);
}
 
void loop() {
  // read the state of the pushbutton value:
  buttonState = digitalRead(buttonPin);
 
  // check if the pushbutton is pressed. If it is, the buttonState is HIGH:

  if (buttonState == HIGH) {
    ledDelay = 100; // if button is pressed fast delay
  } else {
       ledDelay = 1000; // if button isn´t pressed delay 1 second
  }

   digitalWrite(ledPin, HIGH); // turn the LED on by making the voltage HIGH
   delay(ledDelay);                      // wait for 'ledDelay'
   digitalWrite(ledPin, LOW);   // turn the LED off by making the voltage LOW
   delay(ledDelay);       
      
      
}